Package org.eclipse.emf.cdo.common

# Interface CDOCommonSession.Options.LockNotificationEvent

All Superinterfaces:
  `CDOCommonSession.Options.LockNotificationModeEvent`, `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`

Enclosing interface:
  CDOCommonSession.Options

public static interface CDOCommonSession.Options.LockNotificationEvent extends CDOCommonSession.Options.LockNotificationModeEvent
An `options event` fired when the `lock notification mode` of a CDO session has changed.

Since:
  4.15

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getNewEnabled()`
`boolean`
`getOldEnabled()`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options.LockNotificationModeEvent

`getNewMode, getOldMode`

### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

`getSource`

## Method Details

### getOldEnabled

boolean getOldEnabled()

### getNewEnabled

boolean getNewEnabled()